{ stdenv, buildPythonPackage, fetchPypi, nose, nibabel, numpy, scikitlearn
, scipy, matplotlib }:

buildPythonPackage rec {
  pname = "nilearn";
  version = "0.4.2";
  name = pname + "-" + version;

  src = fetchPypi {
    inherit pname version;
    sha256 = "5049363eb6da2e7c35589477dfc79bf69929ca66de2d7ed2e9dc07acf78636f4";
  };

  # disable some failing tests
  checkPhase = ''
    nosetests nilearn/tests \
    -e test_cache_mixin_with_expand_user -e test_clean_confounds -e test_detrend \
    -e test_clean_detrending -e test_high_variance_confounds
  '';

  checkInputs = [ nose ];

  propagatedBuildInputs = [
    matplotlib
    nibabel
    numpy
    scikitlearn
    scipy
  ];

  meta = with stdenv.lib; {
    homepage = http://nilearn.github.io;
    description = "A module for statistical learning on neuroimaging data";
    license = licenses.bsd3;
  };
}
